package com.dbxml.db.core.query;

/*
 * dbXML - Native XML Database
 * Copyright (C) 1999-2004  The dbXML Group, L.L.C.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * $Id: StyleNotFoundException.java,v 1.3 2004/02/12 00:17:57 bradford Exp $
 */

import com.dbxml.db.core.FaultCodes;

/**
 * A StyleNotFoundException is thrown by a Query if the QueryEngine
 * can't resolve a specified style name.
 */

public final class StyleNotFoundException extends QueryException {
   public StyleNotFoundException() {
      super(FaultCodes.QRY_STYLE_NOT_FOUND);
   }

   public StyleNotFoundException(Throwable wrapped) {
      super(FaultCodes.QRY_STYLE_NOT_FOUND, wrapped);
   }

   public StyleNotFoundException(String message) {
      super(FaultCodes.QRY_STYLE_NOT_FOUND, message);
   }

   public StyleNotFoundException(String message, Throwable wrapped) {
      super(FaultCodes.QRY_STYLE_NOT_FOUND, message, wrapped);
   }
}
